#!/usr/bin/env ruby

$KCODE='euc'

require 'tk'

class DialogDemo < TkDialog
  private
  def title
    'Dialog Demo'
  end
  def message
    'ܥåΥǥǤ' + 
    'ΥܥåΥܥΤ줫򤷤' + 
    'ΥܥåĤʤ¤ϡ' + 
    '롼ȥåȤξΥܥϤǤʤϤǤ'
  end
  def bitmap
    'info'
  end
  def buttons
    ['ۤ', 'դ', 'foo', 'bar', 'baz']
  end
  def default_button
    'foo'
  end
end


TkButton.new(:text=>'demo 1', 
             :command=>proc{
               ret = DialogDemo.new.value
               puts "You press 'button-#{ret}'"
             }).pack


fnt = TkFont.new('gothic -12')

TkButton.new(:text=>'demo 2', 
             :command=>proc{
               ret = DialogDemo.new(:message_config=>{
                                       :wraplength=>'4i', 
                                       :foreground=>'red', 
                                       :font=>fnt
                                     }).value
               puts "You press 'button-#{ret}'"
             }).pack

TkButton.new(:text=>'demo 3', 
             :command=>proc{
               ret = DialogDemo.new(:message_config=>{
                                      :wraplength=>'4i', 
                                      :foreground=>'red', 
                                      :font=>fnt
                                    }, 
                                    :msgframe_config=>{
                                      :borderwidth=>5, :relief=>:ridge
                                    }, 
                                    :btnframe_config=>{
                                      :borderwidth=>5, :relief=>:ridge
                                    }, 
                                    :bitmap_config=>{
                                      :foregroun=>'red', :background=>'white'
                                    }, 
                                    #:button_configs=>proc{|num|
                                    #  {:padx=>num*5, :pady=>num*3}
                                    #}, 
                                    :default=>'baz').value
               puts "You press 'button-#{ret}'"
             }).pack

Tk.mainloop
