#!/usr/bin/env ruby
require 'tk'

# filetypes is an array of [typename, extensions, macTypes]
types = [
  ['Ruby Scripts', ['.rb', '.rbw']], 
  ['Text Files', '.txt'], 
  ['C Source Files', '.c', 'TEXT'], 
  ['GIF Files', '.gif'], 
  ['GIF Files', [], 'GIFF'], 
  ['ALL Files', '*'], 
]

TkButton.new(:text=>'get filename'){|b|
  command{ p Tk.getOpenFile(:filetypes=>types, :parent=>b) }
}.pack

Tk.mainloop
