#!/usr/bin/env ruby
require 'tk'

b1 = TkButton.new(:text=>'Hello', :state=>'disable', 
                  :command=>proc{puts 'Hello World!!'}).pack

b2 = TkButton.new(:text=>'Hello2', :state=>'disable', 
                  :command=>proc{puts 'Hello World!!'}).pack

tag = TkBindTag.new
tag.bind('Enter', proc{|w| w.state('normal')}, '%W')

b1.bindtags = (b1.bindtags << tag)
b2.bindtags = (b2.bindtags << tag)

cmd = proc{|w, btn| w.state('disable'); puts "leave #{btn}"}
b1.bind('Leave', cmd, '%W', 'b1')
b2.bind('Leave', cmd, '%W', 'b2')

Tk.mainloop
