#!/usr/bin/env ruby
require 'tk'

parent = TkFrame.new.pack(:fill=>:x)

ent = TkEntry.new(parent).pack(:fill=>:x)
ent.xscrollbar(TkScrollbar.new(parent).pack(:fill=>:x))

parent = TkFrame.new.pack(:fill=>:both, :expand=>true)

lbox = TkListbox.new(parent){
  grid(:row=>0, :column=>0, :sticky=>'news')
  yscrollbar(TkScrollbar.new(parent).grid(:row=>0, :column=>1, :sticky=>'ns'))
  xscrollbar(TkScrollbar.new(parent).grid(:row=>1, :column=>0, :sticky=>'ew'))

  self.bindtags <<= TkBindTag.new.bind('1', proc{ent.set(lbox.get('anchor'))})
}

parent.grid_rowconfigure(0, :weight=>1)
parent.grid_rowconfigure(1, :weight=>0)

parent.grid_columnconfigure(0, :weight=>1)
parent.grid_columnconfigure(1, :weight=>0)

('A'..'Z').each_with_index{|c, i| lbox.insert(:end, c * (i + 1))}

Tk.mainloop
