#!/usr/bin/env ruby
require 'tk'

# no pad
TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack

# pad only
TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:padx=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:pady=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:padx=>10, 
                                                             :pady=>10)

# ipad only
TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:ipadx=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:ipady=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:ipadx=>10, 
                                                             :ipady=>10)

# pad and ipad
TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:padx=>10, 
                                                             :ipadx=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:pady=>10, 
                                                             :ipady=>10)

TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, 
            :text=>'Hello World!!', :background=>'red').pack(:padx=>10, 
                                                             :ipadx=>10, 
                                                             :pady=>10, 
                                                             :ipady=>10)

# anchor option of widget
TkLabel.new(TkFrame.new(:borderwidth=>2, :relief=>:ridge).pack, :anchor=>:nw, 
            :text=>'Hello World!!', :background=>'red').pack(:padx=>10, 
                                                             :ipadx=>10, 
                                                             :pady=>10, 
                                                             :ipady=>10)
Tk.mainloop
