#!/usr/bin/env ruby
$KCODE = 'euc'

require 'tk'

n = TkVariable.new
s = TkVariable.new
y = TkVariable.new(25)
c1 = TkVariable.new
c2 = TkVariable.new
c3 = TkVariable.new

TkFrame.new{|f|
  TkButton.new(f, :text=>'quit', :command=>proc{exit}).pack(:side=>:right)
  TkButton.new(f, :text=>'print', :command=>proc{
                 print "#{n.value} (#{y.value}, #{s.value})"
                 print ", " unless c1.value.empty?
                 print ", Ҷ" unless c2.value.empty?
                 print ", " unless c3.value.empty?
                 print "\n"
               }).pack(:side=>:left)
  TkButton.new(f, :text=>'clear', :command=>proc{
                 n.value = s.value = c1.value = c2.value = c3.value = ''
                 y.value = 25
               }).pack(:side=>:left)
  pack(:side=>:top, :fill=>:x, :padx=>5, :pady=>3)
}

TkFrame.new(:borderwidth=>1, :relief=>:sunken, 
            :height=>3).pack(:side=>:top, :padx=>5, :fill=>:x)

TkFrame.new{|f|
  TkLabel.new(f, :textvariable=>n).pack(:side=>:left, :padx=>3)
  TkLabel.new(f, :text=>'(').pack(:side=>:left)
  TkLabel.new(f, :textvariable=>s).pack(:side=>:left)
  TkLabel.new(f, :text=>',').pack(:side=>:left)
  TkLabel.new(f, :textvariable=>y).pack(:side=>:left)
  TkLabel.new(f, :text=>')').pack(:side=>:left, :padx=>[0,3])
  TkLabel.new(f, :textvariable=>c1).pack(:side=>:left, :padx=>3)
  TkLabel.new(f, :textvariable=>c2).pack(:side=>:left, :padx=>3)
  TkLabel.new(f, :textvariable=>c3).pack(:side=>:left, :padx=>3)
  pack(:side=>:top, :fill=>:x, :padx=>5, :pady=>3)
}


TkFrame.new(:borderwidth=>1, :relief=>:sunken, 
            :height=>3).pack(:side=>:top, :padx=>5, :fill=>:x)

TkFrame.new{|f|
  TkLabel.new(f, :text=>'̾:').pack(:side=>:left)
  TkEntry.new(f, :textvariable=>n).pack(:side=>:left, :fill=>:x, :expand=>true)
  pack(:side=>:top, :fill=>:x, :padx=>5, :pady=>3)
}


TkFrame.new(:borderwidth=>1, :relief=>:sunken, 
            :height=>3).pack(:side=>:top, :padx=>5, :fill=>:x)

TkFrame.new{|f|
  TkFrame.new(f){|ff|
    TkLabel.new(ff, :text=>'ǯ:').pack(:side=>:left)
    TkSpinbox.new(ff, :textvariable=>y, :from=>0, :to=>140, :width=>3, 
                  :justify=>:left).pack(:side=>:left)
    pack(:anchor=>'e', :pady=>[0, 10])
  }
  TkCheckbutton.new(f, :text=>'', :onvalue=>'', :offvalue=>'', 
                    :anchor=>'w', :variable=>c1).pack(:fill=>:x)
  TkCheckbutton.new(f, :text=>'Ҷ', :onvalue=>'', :offvalue=>'', 
                    :anchor=>'w', :variable=>c2).pack(:fill=>:x)
  TkCheckbutton.new(f, :text=>'', :onvalue=>'', :offvalue=>'', 
                    :anchor=>'w', :variable=>c3).pack(:fill=>:x)
  pack(:side=>:right, :padx=>5, :pady=>3)
}


TkFrame.new{|f|
  TkRadiobutton.new(f, :text=>'', :anchor=>'w', 
                    :variable=>s, :value=>'').pack(:fill=>:x)
  TkRadiobutton.new(f, :text=>'', :anchor=>'w', 
                    :variable=>s, :value=>'').pack(:fill=>:x)
  pack(:anchor=>'n', :side=>:right, :padx=>5, :pady=>3)
}

Tk.mainloop
