#!/usr/bin/env ruby
$KCODE='euc'

require 'tk'

t = TkText.new.pack

bigbold = TkTextTag.new(t, :font=>'gothic -16 bold')

superscript = TkTextTag.new(t, :font=>'helvetica -10', :offset=>'4p')
subscript   = TkTextTag.new(t, :font=>'helvetica -10', :offset=>'-2p')

fgcolor = TkTextTag.new(t, :foreground=>'red')
bgcolor = TkTextTag.new(t, :background=>'#a0b7ce')

bd_raised = TkTextTag.new(t, :borderwidth=>1, :relief=>:raised)
bd_sunken = TkTextTag.new(t, :borderwidth=>1, :relief=>:sunken)

tagbind = TkTextTag.new(t){|tag|
  bind('Enter'){tag.foreground('green')}
  bind('Leave'){tag.foreground('black')}
  bind('1', 
       proc{|x,y| t.insert([_at(x,y),'+2line','linestart'], "clicked!!\n")}, 
       '%x %y')
}

t.insert(:end, 'ƥȥ', bigbold)
t.insert(:end, "\n\n")
t.insert(:end, '̾Υƥ')
t.insert(:end, "\n\n")
t.insert(:end, 'ʿ', fgcolor)
t.insert(:end, '')
t.insert(:end, 'طʿ', bgcolor)
t.insert(:end, '')
t.insert(:end, 'ξȤ', fgcolor, bgcolor)
t.insert(:end, 'ѹǽ')
t.insert(:end, "\n\n")
t.insert(:end, 'դʸŪ')
t.insert(:end, '', superscript)
t.insert(:end, 'źŪ')
t.insert(:end, '', subscript)
t.insert(:end, "\n\n")
t.insert(:end, 'ӽФ褦', bd_raised)
t.insert(:end, '')
t.insert(:end, '褦', bd_sunken)
t.insert(:end, "\n\n")
t.insert(:end, 'ˤ')
t.insert(:end, 'Х', tagbind)
t.insert(:end, '')
t.insert(:end, "\n")
t.insert(:end, "\n\n", fgcolor) # <== insert position of "clicked!!" message
t.insert(:end, '¾ˤ⤵ޤޤ꤬ǽ')
t.insert(:end, "\n\n")

# ʣ : :foreground=>'red' ʬΰŬ
TkTextTag.new(t, :foreground=>'blue').add('5.0', '5.2')

TkTextTag.new(t, :bgstipple=>'gray12', :background=>:black).add('14.3', '14.7')
TkTextTag.new(t, :underline=>true).add('14.8', '14.13')

Tk.mainloop
