#!/usr/bin/env ruby
require 'tk'

TkButton.new(:text=>'button'){
  command {puts "button is pressed!!"}
}.pack(:fill=>:x)

TkLabel.new(:text=>'label'){
  configure(:borderwidth=>2, :relief=>:raised, :padx=>'3m', :pady=>'1m')
  @cmd = proc{puts "label is pressed!!"}
  @enter = false
  @press = false
  bind('Enter', proc{@enter = true; state(:active)})
  bind('Leave', proc{
         @enter = @press = false; state(:normal); relief(:raised)
       })
  bind('ButtonPress-1', proc{relief(:sunken); @press = true})
  bind('ButtonRelease-1', proc{
         relief(:raised)
         @cmd.call if @enter && @press && @cmd
         @enter = @press = false
       })
}.pack(:fill=>:x)

Tk.mainloop
