#!/usr/bin/env ruby
require 'tk'

sticky_array = [ ['n',    's',   'w',   'e'  ], 
                 ['news', 'ns',  'ew',  ''   ], 
                 ['nw',   'ne',  'sw',  'se' ], 
                 ['new',  'sew', 'wsn', 'esn'] ]

sticky_array.each_with_index{|row_list, row|
  row_list.each_with_index{|sticky, column|
    TkFrame.new(:borderwidth=>2, :relief=>:ridge, 
                :width=>80, :height=>80).grid(:row=>row, :column=>column)
    TkButton.new(:text=>sticky).grid(:row=>row, :column=>column, 
                                     :sticky=>sticky)
  }
}

Tk.mainloop
