#!/usr/bin/env ruby
require 'tk'

f = TkFrame.new(f).pack

lscr = TkButton.new(f, :text=>'<<').pack(:side=>:left, :fill=>:y)
rscr = TkButton.new(f, :text=>'>>').pack(:side=>:right, :fill=>:y)

c = TkCanvas.new(f).pack(:side=>:left, :fill=>:x, :expand=>true)
c.xscrollincrement = 1

c.xview_moveto(0)
lscr.state(:disable)

lscr.command{
  rscr.state(:normal)
  lscr.state(:disable) if c.xview[0] == 0
  c.xview_scroll(-1, 'unit')
}
rscr.command{
  lscr.state(:normal)
  rscr.state(:disable) if c.xview[1] == 1
  c.xview_scroll(1, 'unit')
}

lscr.repeatdelay = rscr.repeatdelay = 300
lscr.repeatinterval = rscr.repeatinterval = 5

base = TkFrame.new(c)
(0..9).each{|i|
  TkButton.new(base, :text=>"button #{i}", 
               :command=>proc{p "button #{i}"}).pack(:side=>:left)
}

win = TkcWindow.new(c, 0, 0, :window=>base, :anchor=>'nw')

Tk.update

bbox = win.bbox

c.scrollregion(bbox)
c.height(bbox[3] - bbox[1])

Tk.mainloop
