#!/usr/bin/env ruby
require 'tk'

f = TkFrame.new(f).pack

lscr = TkLabel.new(f, :text=>'<<', :borderwidth=>1, 
                   :relief=>:groove).pack(:side=>:left, :fill=>:y)
rscr = TkLabel.new(f, :text=>'>>', :borderwidth=>1, 
                   :relief=>:groove).pack(:side=>:right, :fill=>:y)

c = TkCanvas.new(f).pack(:side=>:left, :fill=>:x, :expand=>true)
c.xscrollincrement = 1

ltimer = TkTimer.new(5, -1){c.xview_scroll(-1, 'unit')}
rtimer = TkTimer.new(5, -1){c.xview_scroll(1, 'unit')}

lscr.bind('Enter'){ltimer.restart(300)}
lscr.bind('Leave'){ltimer.stop}

rscr.bind('Enter'){rtimer.restart(300)}
rscr.bind('Leave'){rtimer.stop}

base = TkFrame.new(c)
(0..9).each{|i|
  TkButton.new(base, :text=>"button #{i}", 
               :command=>proc{p "button #{i}"}).pack(:side=>:left)
}

win = TkcWindow.new(c, 0, 0, :window=>base, :anchor=>'nw')

Tk.update

bbox = win.bbox

c.scrollregion(bbox)
c.height(bbox[3] - bbox[1])

Tk.mainloop
